<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>workflow-engine</artifactId>
        <groupId>cn.axzo.workflow</groupId>
        <version>${revision}</version>
    </parent>
    <artifactId>workflow-engine-elasticsearch</artifactId>
    <packaging>jar</packaging>
    <name>Workflow Engine ElasticSearch</name>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>cn.axzo.workflow</groupId>
            <artifactId>workflow-engine-core</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.axzo.framework.data</groupId>
            <artifactId>axzo-data-mybatis-plus</artifactId>
        </dependency>

        <dependency>
            <groupId>org.elasticsearch.client</groupId>
            <artifactId>elasticsearch-rest-high-level-client</artifactId>
        </dependency>

        <dependency>
            <groupId>org.elasticsearch</groupId>
            <artifactId>elasticsearch</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara.easy-es</groupId>
            <artifactId>easy-es-boot-starter</artifactId>
        </dependency>
    </dependencies>
</project>
